Bug 157829 - running a gnome session on a NFS server with dbus-lauch makes random crash
running a gnome session on a NFS server with dbus-lauch makes random crash
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: dbus (Show other bugs)
3
i686 Linux
medium Severity high
: ---
: ---
Assigned To: David Zeuthen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-16 07:21 EDT by oll
Modified: 2013-03-05 22:43 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-11 12:19:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gnome session core (3.02 MB, application/octet-stream)
2005-05-19 03:28 EDT, oll
no flags Details
gnome-smproxy core (2.12 MB, application/octet-stream)
2005-05-19 03:29 EDT, oll
no flags Details
g-v-m core (2.17 MB, application/octet-stream)
2005-05-19 03:31 EDT, oll
no flags Details

  None (edit)
Description oll 2005-05-16 07:21:30 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050511 Firefox/1.0.4

Description of problem:
All users runs gnome-2.10 installed in /opt/gnome ( NFS share)
I just add desktop.entry so that at the begining, it's run like that :

/usr/bin/dbus-launch --exit-with-session /opt/gnome/bin/gnome-session-2.10.

Unfortunatly , there's sometimes random crashes and especially session crashing , generating a core dump with bus-error ( never segmentation fault).

It seems to be when our NFS server encounters a heavy load.


Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1.run a NFS gnome session
2.stress the nfs server 

  

Actual Results:  session sometimes crash

Expected Results:  session never crash :-)

Additional info:

With some user, I try this :
Make them have a simple .xinitrc with the following command :
exec /opt/gnome/bin/gnome-session-2.10
And then make them start the session with "startx"

Since 2 weeks, they never had a session crash. (they had at least 2 a week before)

So I really suspect dbus-launcher to "become sometimes crazy" whith NFS.
SO my question is : how to simply create a desktop.entry so that gdm don't run the session through dbus ??
Comment 1 John (J5) Palmieri 2005-05-16 13:44:28 EDT
Check if this works:

in /etc/X11/xinit/xinitrc.d/ add a script with these lines in it

#!/bin/bash 
DBUS_LAUNCH=""

and make the script executable.

Can you also post the core dump somewhere or attach the backtrace to this bug
report.  I would like to fix the problem as opposed to just working around it.
Comment 2 oll 2005-05-19 03:28:33 EDT
Created attachment 114554 [details]
gnome session core

When it happened, It core dump at least this 3 : gnome-session, gnome-smproxy
and g-v-m.
I presume gnome-smproxy and g-v-m are core because of gnome-session crash.
Comment 3 oll 2005-05-19 03:29:42 EDT
Created attachment 114555 [details]
gnome-smproxy core
Comment 4 oll 2005-05-19 03:31:39 EDT
Created attachment 114556 [details]
g-v-m core

all core are from gnome 2.8.3 version (build with garnome on a FC3 with
CFLAGS=" -march=pentium4 -mtune=pentium4 -msse2 -mfpmath=sse -O2")
Comment 5 John (J5) Palmieri 2005-05-19 10:35:21 EDT
Do these cores happen with the stock gnome packages?
Comment 6 oll 2005-05-19 11:28:08 EDT
The user was using the TraditionaltTheme when it happened. (So I think the
answer is yes).
Another hint : he didn't anything when its session crashed : He comes back from
lunch and its session was closed.
Another user has also told me that it happens some times when he tries to re-use
a sleeping application that he doesn't use for a long time : I mean not
re-running it but de-iconify it.
It is particulary true on monaday morning for users that don't close the session.
The only (root) crons on all machines are the one from the fedora (logrotate and
so on).
Finally, I don't know if it can help, but we use ntp to synchronize every
station's time.
Comment 7 John (J5) Palmieri 2005-05-19 11:35:16 EDT
I think you misunderstood what I asked.  In comment #4 you said "all core are
from gnome 2.8.3 version (build with garnome on a FC3 with CFLAGS="
-march=pentium4 -mtune=pentium4 -msse2 -mfpmath=sse -O2")"

garnome packages differ in some ways from our own.  If you are not running the
desktop from the RPM packages provided by FC3 this could be the root cause of
the problems.
Comment 8 oll 2005-05-19 12:28:22 EDT
Yes, I'm aware of it : it's not exactly a Fedora trouble but also not completly
a gnome troubles ( I have it with garnome/gnome 2.8, garnome/gnome 2.10, "gnome
hand compiled" 2.8 and 2.10).
I never had it with redhat 8.0 , whatever the gnome.

Indeed our laptop (running Fedora gnome) have no troubles exept this one I just
created : (for me very serious in a professional environment)

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=158209


Comment 9 John (J5) Palmieri 2005-05-19 13:27:13 EDT
can you run dbus-launch --version and give me the output?
Comment 10 oll 2005-05-19 13:33:08 EDT
[olelain@trevezel ~]$ which dbus-launch
/usr/bin/dbus-launch
[olelain@trevezel ~]$ dbus-launch --version
D-BUS Message Bus Launcher 0.22
Copyright (C) 2003 Red Hat, Inc.
This is free software; see the source for copying conditions.
There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR
PURPOSE.


Comment 11 oll 2005-05-30 11:48:09 EDT
Another crash for gnome-session:always bus error (on another machine)


Core was generated by `/opt/STools/gnome-2.8/bin/gnome-session'.
Program terminated with signal 7, Bus error.



#0  0x008bd150 in ORBit_zero_int ()
   from /opt/STools/gnome-2.8/lib/libgnomevfs-2.so.0
#1  <signal handler called>
#2  0x008a7100 in vfs_parse_filedate ()
   from /opt/STools/gnome-2.8/lib/libgnomevfs-2.so.0
#3  0x00bc0f7e in g_main_context_dispatch ()
   from /opt/STools/gnome-2.8/lib/libglib-2.0.so.0
#4  0x00bc27b7 in g_main_context_iterate ()
   from /opt/STools/gnome-2.8/lib/libglib-2.0.so.0
#5  0x00bc2ac5 in g_main_loop_run ()
   from /opt/STools/gnome-2.8/lib/libglib-2.0.so.0
#6  0x0065fe90 in gtk_main ()
   from /opt/STools/gnome-2.8/lib/libgtk-x11-2.0.so.0
#7  0x08054045 in main ()
Comment 12 oll 2005-06-02 09:08:05 EDT
Using host libthread_db library "/lib/tls/libthread_db.so.1".
Core was generated by `/opt/STools/gnome-2.8/bin/gnome-session'.
Program terminated with signal 7, Bus error.
#0  0x008bd150 in ORBit_zero_int ()
   from /opt/STools/gnome-2.8/lib/libgnomevfs-2.so.0
#0  0x008bd150 in ORBit_zero_int ()
   from /opt/STools/gnome-2.8/lib/libgnomevfs-2.so.0
#1  0x005ac8d8 in ?? ()
#2  0x00000007 in ?? ()
#3  0x00000033 in ?? ()
#4  0x00000000 in ?? ()
#5  0x0000007b in ?? ()
#6  0xc010007b in ?? ()
#7  0x008a7100 in vfs_parse_filedate ()
   from /opt/STools/gnome-2.8/lib/libgnomevfs-2.so.0
#8  0x005d5f7e in g_main_context_dispatch ()
   from /opt/STools/gnome-2.8/lib/libglib-2.0.so.0
#9  0x005d77b7 in g_main_context_iterate ()
   from /opt/STools/gnome-2.8/lib/libglib-2.0.so.0
#10 0x005d7ac5 in g_main_loop_run ()
   from /opt/STools/gnome-2.8/lib/libglib-2.0.so.0
#11 0x00a74e90 in gtk_main ()
   from /opt/STools/gnome-2.8/lib/libgtk-x11-2.0.so.0
#12 0x08054045 in main ()

Thread 1 (process 10436):
#0  0x008bd150 in ORBit_zero_int ()
   from /opt/STools/gnome-2.8/lib/libgnomevfs-2.so.0
No symbol table info available.
#1  0x005ac8d8 in ?? ()
No symbol table info available.
#2  0x00000007 in ?? ()
No symbol table info available.
#3  0x00000033 in ?? ()
No symbol table info available.
#4  0x00000000 in ?? ()
No symbol table info available.
#5  0x0000007b in ?? ()
No symbol table info available.
#6  0xc010007b in ?? ()
No symbol table info available.
#7  0x008a7100 in vfs_parse_filedate ()
   from /opt/STools/gnome-2.8/lib/libgnomevfs-2.so.0
No symbol table info available.
#8  0x005d5f7e in g_main_context_dispatch ()
   from /opt/STools/gnome-2.8/lib/libglib-2.0.so.0
No symbol table info available.
#9  0x005d77b7 in g_main_context_iterate ()
   from /opt/STools/gnome-2.8/lib/libglib-2.0.so.0
No symbol table info available.
#10 0x005d7ac5 in g_main_loop_run ()
   from /opt/STools/gnome-2.8/lib/libglib-2.0.so.0
No symbol table info available.
#11 0x00a74e90 in gtk_main ()
   from /opt/STools/gnome-2.8/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#12 0x08054045 in main ()
No symbol table info available.
Comment 13 oll 2005-06-02 09:15:07 EDT
Using host libthread_db library "/lib/tls/libthread_db.so.1".
Core was generated by `/opt/STools/gnome-2.8/bin/gnome-session'.
Program terminated with signal 7, Bus error.
#0  0x0016a150 in ?? ()
#0  0x0016a150 in ?? ()
#1  <signal handler called>
#2  0x0087d363 in get_skel_small_GNOME_VFS_Client ()
   from /opt/STools/gnome-2.8/lib/libgnomevfs-2.so.0
#3  0x0087d6d2 in POA_GNOME_VFS_ClientCall__fini ()
   from /opt/STools/gnome-2.8/lib/libgnomevfs-2.so.0
#4  0x00880b46 in egg_desktop_entries_get_locale_string ()
   from /opt/STools/gnome-2.8/lib/libgnomevfs-2.so.0
#5  0x00880a80 in egg_desktop_entries_get_string_list ()
   from /opt/STools/gnome-2.8/lib/libgnomevfs-2.so.0
#6  0x004c6fc0 in ?? ()
#7  0x004c9a9e in ?? ()
#8  0x00000020 in ?? ()
#9  0x004cae61 in ?? ()
#10 0x00000000 in ?? ()
#11 0x00000004 in ?? ()
#12 0x08426f34 in ?? ()
#13 0x08426ed0 in ?? ()
#14 0x08426f34 in ?? ()
#15 0x00000000 in ?? ()
#16 0x00f09a8c in __libc_ptyname1 () from /lib/tls/libc.so.6
#17 0xbff944f8 in ?? ()
#18 0x0042e5c0 in g_hash_table_lookup ()
   from /opt/STools/gnome-2.8/lib/libglib-2.0.so.0
#19 0x004c73be in ?? ()
#20 0x084091c8 in ?? ()
#21 0x00000007 in ?? ()
#22 0x0844fad8 in ?? ()
#23 0x00000000 in ?? ()
#24 0x00000000 in ?? ()
#25 0x00000001 in ?? ()
#26 0xbff94568 in ?? ()
#27 0x00000010 in ?? ()
#28 0x004c7386 in ?? ()
#29 0x084091c8 in ?? ()
#30 0xbff945d8 in ?? ()
#31 0x08056bc4 in remote_start ()
#32 0x08056bc4 in remote_start ()
#33 0x0805021f in run_command_prop ()
#34 0x08050552 in start_client ()
#35 0x08051fef in client_clean_up ()
#36 0x08053005 in ice_watch ()
#37 0x00ba2c07 in _IceConnectionClosed () from /usr/X11R6/lib/libICE.so.6
#38 0x00b9d4de in IceCloseConnection () from /usr/X11R6/lib/libICE.so.6
#39 0x00154201 in ?? ()
#40 0x084a6850 in ?? ()
#41 0x00000000 in ?? ()
#42 0x00000000 in ?? ()
#43 0x004945dc in ?? () from /opt/STools/gnome-2.8/lib/libglib-2.0.so.0
#44 0x00000001 in ?? ()
#45 0x00494ba0 in main_contexts_without_pipe ()
   from /opt/STools/gnome-2.8/lib/libglib-2.0.so.0
#46 0x00000000 in ?? ()
#47 0x00000001 in ?? ()
#48 0x084a6850 in ?? ()
#49 0x004945dc in ?? () from /opt/STools/gnome-2.8/lib/libglib-2.0.so.0
#50 0xbff94748 in ?? ()
#51 0x0045f69d in g_io_unix_dispatch ()
   from /opt/STools/gnome-2.8/lib/libglib-2.0.so.0
#52 0x0045f69d in g_io_unix_dispatch ()
   from /opt/STools/gnome-2.8/lib/libglib-2.0.so.0
#53 0x0043af7e in g_main_context_dispatch ()
   from /opt/STools/gnome-2.8/lib/libglib-2.0.so.0
#54 0x0043c7b7 in g_main_context_iterate ()
   from /opt/STools/gnome-2.8/lib/libglib-2.0.so.0
#55 0x0043cac5 in g_main_loop_run ()
   from /opt/STools/gnome-2.8/lib/libglib-2.0.so.0
#56 0x0065fe90 in gtk_main ()
   from /opt/STools/gnome-2.8/lib/libgtk-x11-2.0.so.0
#57 0x08054045 in main ()

Thread 1 (process 17188):
#0  0x0016a150 in ?? ()
No symbol table info available.
#1  <signal handler called>
No symbol table info available.
#2  0x0087d363 in get_skel_small_GNOME_VFS_Client ()
   from /opt/STools/gnome-2.8/lib/libgnomevfs-2.so.0
No symbol table info available.
#3  0x0087d6d2 in POA_GNOME_VFS_ClientCall__fini ()
   from /opt/STools/gnome-2.8/lib/libgnomevfs-2.so.0
No symbol table info available.
#4  0x00880b46 in egg_desktop_entries_get_locale_string ()
   from /opt/STools/gnome-2.8/lib/libgnomevfs-2.so.0
No symbol table info available.
#5  0x00880a80 in egg_desktop_entries_get_string_list ()
   from /opt/STools/gnome-2.8/lib/libgnomevfs-2.so.0
No symbol table info available.
#6  0x004c6fc0 in ?? ()
No symbol table info available.
#7  0x004c9a9e in ?? ()
No symbol table info available.
#8  0x00000020 in ?? ()
No symbol table info available.
#9  0x004cae61 in ?? ()
No symbol table info available.
#10 0x00000000 in ?? ()
No symbol table info available.
#11 0x00000004 in ?? ()
No symbol table info available.
#12 0x08426f34 in ?? ()
No symbol table info available.
#13 0x08426ed0 in ?? ()
No symbol table info available.
#14 0x08426f34 in ?? ()
No symbol table info available.
#15 0x00000000 in ?? ()
No symbol table info available.
#16 0x00f09a8c in __libc_ptyname1 () from /lib/tls/libc.so.6
No symbol table info available.
#17 0xbff944f8 in ?? ()
No symbol table info available.
#18 0x0042e5c0 in g_hash_table_lookup ()
   from /opt/STools/gnome-2.8/lib/libglib-2.0.so.0
No symbol table info available.
#19 0x004c73be in ?? ()
No symbol table info available.
#20 0x084091c8 in ?? ()
No symbol table info available.
#21 0x00000007 in ?? ()
No symbol table info available.
#22 0x0844fad8 in ?? ()
No symbol table info available.
#23 0x00000000 in ?? ()
No symbol table info available.
#24 0x00000000 in ?? ()
No symbol table info available.
#25 0x00000001 in ?? ()
No symbol table info available.
#26 0xbff94568 in ?? ()
No symbol table info available.
#27 0x00000010 in ?? ()
No symbol table info available.
#28 0x004c7386 in ?? ()
No symbol table info available.
#29 0x084091c8 in ?? ()
No symbol table info available.
#30 0xbff945d8 in ?? ()
No symbol table info available.
#31 0x08056bc4 in remote_start ()
No symbol table info available.
#32 0x08056bc4 in remote_start ()
No symbol table info available.
#33 0x0805021f in run_command_prop ()
No symbol table info available.
#34 0x08050552 in start_client ()
No symbol table info available.
#35 0x08051fef in client_clean_up ()
No symbol table info available.
#36 0x08053005 in ice_watch ()
No symbol table info available.
#37 0x00ba2c07 in _IceConnectionClosed () from /usr/X11R6/lib/libICE.so.6
No symbol table info available.
#38 0x00b9d4de in IceCloseConnection () from /usr/X11R6/lib/libICE.so.6
No symbol table info available.
#39 0x00154201 in ?? ()
No symbol table info available.
#40 0x084a6850 in ?? ()
No symbol table info available.
#41 0x00000000 in ?? ()
No symbol table info available.
#42 0x00000000 in ?? ()
No symbol table info available.
#43 0x004945dc in ?? () from /opt/STools/gnome-2.8/lib/libglib-2.0.so.0
No symbol table info available.
#44 0x00000001 in ?? ()
No symbol table info available.
#45 0x00494ba0 in main_contexts_without_pipe ()
   from /opt/STools/gnome-2.8/lib/libglib-2.0.so.0
No symbol table info available.
#46 0x00000000 in ?? ()
No symbol table info available.
#47 0x00000001 in ?? ()
No symbol table info available.
#48 0x084a6850 in ?? ()
No symbol table info available.
#49 0x004945dc in ?? () from /opt/STools/gnome-2.8/lib/libglib-2.0.so.0
No symbol table info available.
#50 0xbff94748 in ?? ()
No symbol table info available.
#51 0x0045f69d in g_io_unix_dispatch ()
   from /opt/STools/gnome-2.8/lib/libglib-2.0.so.0
No symbol table info available.
#52 0x0045f69d in g_io_unix_dispatch ()
   from /opt/STools/gnome-2.8/lib/libglib-2.0.so.0
No symbol table info available.
#53 0x0043af7e in g_main_context_dispatch ()
   from /opt/STools/gnome-2.8/lib/libglib-2.0.so.0
No symbol table info available.
#54 0x0043c7b7 in g_main_context_iterate ()
   from /opt/STools/gnome-2.8/lib/libglib-2.0.so.0
No symbol table info available.
#55 0x0043cac5 in g_main_loop_run ()
   from /opt/STools/gnome-2.8/lib/libglib-2.0.so.0
No symbol table info available.
#56 0x0065fe90 in gtk_main ()
   from /opt/STools/gnome-2.8/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#57 0x08054045 in main ()
No symbol table info available.
Comment 14 Matthew Miller 2006-07-10 16:24:16 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 15 petrosyan 2008-02-11 12:19:15 EST
Fedora Core 3 is not maintained anymore.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Note You need to log in before you can comment on or make changes to this bug.